This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 488767 - questions on submission of kernel oops make no sense
questions on submission of kernel oops make no sense
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kerneloops (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-05 12:16 EST by Need Real Name
Modified: 2011-12-13 17:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 03:57:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2009-03-05 12:16:53 EST
When I have a kernel oops, I am asked if I want to send the data to Red Hat.
I can choose: yes, no, always or never.

After the data is sent, I am then asked AGAIN what I want to do:
 always or never.

This is a problem, for two reasons:
1. If I want to choose always or never, I would have answered this the first time. Essentially this means you are asking me the same question twice, and this is frustrating.

2. The second question is unclear. If I click always, does it always send the kernel data, or does the answer to the previous question apply?
Comment 1 Need Real Name 2009-03-18 17:33:05 EDT
Hello?
Comment 2 Need Real Name 2009-04-13 17:29:52 EDT
Could you actually fix this?

I appreciate that you want lots of kernel debugging information, but filling up my screen _every_time_I_boot_ is a great way to **** off a user and make them use something that bugs them less often.

You want kernel debugging information, I don't want to be hassled. Fair enough.

The dialog "thanks for submitting information [always] [never]" makes no sense.

Can you please make it go away?
Comment 3 Chuck Ebbert 2009-04-13 18:00:39 EDT
Please post a copy of your kerneloops config file (/etc/kerneloops.conf)
Comment 4 Need Real Name 2009-04-14 01:53:52 EDT
I've never edited this file, only used the gui. Non-commented lines:

allow-submit = ask
allow-pass-on = yes
submit-url = http://submit.kerneloops.org/submitoops.php
Comment 5 Chuck Ebbert 2009-04-15 11:16:58 EDT
If you answer "always" on the first popup it should never bother you again. But that might not actually work (it's supposed to change that config file when you do that.)
Comment 6 Need Real Name 2009-04-15 11:42:07 EDT
What if the user wants to choose when to submit the data (i.e. doesn't click always), the second dialog is not useful.
Comment 7 Chuck Ebbert 2009-05-05 20:18:36 EDT
On my system the second dialog goes away after a few seconds.
Comment 8 Need Real Name 2009-05-06 01:30:37 EDT
Yep, mine too.

But it still requires my attention (and it shouldn't, I've already given answered the question it asks).
Comment 9 Bug Zapper 2009-11-18 04:53:52 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-12-18 03:57:36 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.